package cz.upol.pja.lecture08.beans;

import cz.upol.pja.lecture08.NewUserMsg;
import javax.ejb.MessageDriven;
import javax.jms.Message;
import javax.jms.MessageListener;


@MessageDriven(mappedName = "java:app/jms/newUserTopic")
public class FirstConsumerBean implements MessageListener {
    
    @Override
    public void onMessage(Message message) {
        try {
            NewUserMsg data = message.getBody(NewUserMsg.class);
            System.out.println("#1: first name => " + data.getFirstName() + "\n"
                + "#1: second name => " + data.getSecondName());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    
}
